Skip to main content

List favorite group channel members

Retrieve the favorite members that a specified user follows in a group channel.

Request

POST: https://Base URL/v4/group-channel/member/favorites/list

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
channelIdStringYesGroup channel ID.
userIdStringYesUser ID of the member whose favorites list you want to query.

Request example

HTTP
POST /v4/group-channel/member/favorites/list HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"channelId": "456",
"userId": "123"
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success. See Status codes.
resultObjectResponse data.
result.userIdStringUser ID whose favorites list was queried.
result.channelIdStringGroup channel ID.
result.favoritesObject[]List of favorite members.
result.favorites[i].userIdStringUser ID of the favorited member.
result.favorites[i].favoritedAtNumberTimestamp when the member was marked as a favorite.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0,
"result": {
"userId": "123",
"channelId": "456",
"favorites": [
{
"userId": "u123",
"favoritedAt": 1709619756077
},
{
"userId": "u456",
"favoritedAt": 1709619756077
}
]
}
}